v1.0.0
OpenAPI 3.1.0

Lookup a customer's segments

US region

Client Libraries

Lookup a customer's segments

Returns a list of segments that a customer profile belongs to.

Path Parameters
  • customer_id
    Type: string
    required

    The ID of the customer you want to perform an operation against.

Query Parameters
  • id_type
    Type: stringenum

    The type of customer_id you want to use to reference a person. If you don't provide this parameter, we assume that the customer_id in your request is a person's id. You can use email and phone only if they're enabled as identifiers in your workspace settings; otherwise the request returns 400. Reference phone values in E.164 format, like +14155552671, and URL-encode the leading + as %2B.

    values
    • id
    • email
    • phone
    • cio_id
Responses
  • application/json
  • 404

    The customer_id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/customers/{customer_id}/segments
curl 'https://api.customer.io/v1/customers/12345/segments?id_type=id' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "segments": [
    {
      "id": 1,
      "name": "string",
      "description": "string"
    }
  ]
}